Subject: Re: bug#39489: 28.0.50; On Emacs 27, 28, tramp hangs indefinitely

From: Michael Albinus <[email-masked]>
Date: Sun, 09 Feb 2020 14:14:34 +0100

Benjamin Slade <[email-masked]> writes:

> Hi Michael,

Hi Benjamin,

> I have a =~/.authinfo.gpg= file (with contents). There is no 
> =~/.authinfo= file. There *is* a =~/.netrc= file, but it's empty.
>
> For my regular configuration, the value of =auth-sources= is:
>
> ("~/.authinfo.gpg")

That's OK.

> For =emacs -q -l tramp-sh=, the value of =auth-sources= is:
>
> ("~/.authinfo" "~/.authinfo.gpg" "~/.netrc")

This is also OK.

>  > Could you please run the following test:
>
>  > --8<---------------cut 
>  > here---------------start------------->8---
>  > # emacs -q -l tramp-sh
>  > --8<---------------cut 
>  > here---------------end--------------->8---
>
> Since you specify `#`, I ran as root first, and then also as my 
> regular user.

Sorry, I wasn't precise. I need only the traces when Emacs is run as
regular user.

Well, here is the part which looks suspicious (shortened heavily).

--8<---------------cut here---------------start------------->8---
> | | | | | | | | | | | | | 14 -> (auth-source-search :max 1 :user #("root" 0 4 (tramp-default t)) :host #("sushoma" 0 7 (tramp-default t)) :port "sudo" :require (:secret :user) :create t)
> | | | | | | | | | | | | | | 15 -> (tramp-file-name-handler expand-file-name "." #("/sudo:root@sushoma:" 6 10 (tramp-default t) 11 18 (tramp-default t)))
> | | | | | | | | | | | | | | 15 <- tramp-file-name-handler: !non-local\ exit!
> | | | | | | | | | | | | | 14 <- auth-source-search: !non-local\ exit!
--8<---------------cut here---------------end--------------->8---

I don't know why `auth-source-search' needs to expand ".". Could it be,
that it is part of your `exec-path'?

> with many thanks,
>    —Ben

Best regards, Michael.